Index: mibs/sigur/SIGUR-MIB
===================================================================
--- mibs/sigur/SIGUR-MIB	(nonexistent)
+++ mibs/sigur/SIGUR-MIB	(working copy)
@@ -0,0 +1,394 @@
+SIGUR-MIB DEFINITIONS ::= BEGIN
+
+IMPORTS
+    enterprises, OBJECT-TYPE FROM SNMPv2-SMI
+    TimeStamp, DateAndTime FROM SNMPv2-TC;
+
+sigurProduct OBJECT IDENTIFIER ::= { enterprises 56627 }
+
+controllers OBJECT IDENTIFIER ::= { sigurProduct 1 }
+
+informs OBJECT IDENTIFIER ::= { controllers 0 }
+
+fireAlarmInform NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "Fire"
+    ::= { informs 1 }
+
+voltageWrongInform NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "Voltage"
+    ::= { informs 2 }
+
+tamperStateInform NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "Tamper"
+    ::= { informs 3 }
+
+batteryStateInform NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "Battery"
+    ::= { informs 4 }
+
+breakInInform NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "Break-in"
+    ::= { informs 5 }
+
+osdpReaderStateFail NOTIFICATION-TYPE
+    STATUS current
+    DESCRIPTION
+        "OSDP readers"
+    ::= { informs 6 }
+
+------------------------------------------------------------------------------------------------------
+
+serialNumber OBJECT-TYPE
+    SYNTAX OCTET STRING (SIZE (0..128))
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Serial number of controller"
+    ::= { controllers 1 }
+
+------------------------------------------------------------------------------------------------------
+
+osdpReaderStateTable OBJECT-TYPE
+    SYNTAX SEQUENCE OF OsdpReaderStateEntry
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "OSDP readers table"
+    ::= { controllers 2 }
+
+osdpReaderStateEntry OBJECT-TYPE
+    SYNTAX OsdpReaderStateEntry
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Description."
+    INDEX { osdpNumber }
+    ::= { osdpReaderStateTable 1 }
+
+OsdpReaderStateEntry ::=
+    SEQUENCE {
+        osdpNumber
+            Counter,
+        osdpState
+            INTEGER,
+        osdpAddress
+            Counter
+    }
+
+osdpNumber OBJECT-TYPE
+    SYNTAX Counter
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Number of readers"
+    ::= { osdpReaderStateEntry 1 }
+
+osdpState OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        NotConfigured(1),
+        Misconfigured(2),
+        Offline(3),
+        Online(4),
+        Unencrypted(5)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "States"
+    ::= { osdpReaderStateEntry 2 }
+
+osdpAddress OBJECT-TYPE
+    SYNTAX Counter
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Reader address"
+    ::= { osdpReaderStateEntry 3 }
+
+------------------------------------------------------------------------------------------------------
+
+voltage OBJECT-TYPE
+    SYNTAX INTEGER
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Power voltage"
+    ::= { controllers 3 }
+
+fireAlarmState OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        Fire(1),
+        NotFire(2)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Fire alarm"
+    ::= { controllers 4 }
+
+localDateTime OBJECT-TYPE
+    SYNTAX DateAndTime
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Local date time"
+    ::= { controllers 5 }
+
+batteryOperation OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        Charging(1),
+        EmergencyPower(2)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Battery operation"
+    ::= { controllers 6 }
+
+tamperState OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        Normal(1),
+        BreakIn(2)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Tamper state"
+    ::= { controllers 7 }
+
+------------------------------------------------------------------------------------------------------
+
+ioPortStateTable OBJECT-TYPE
+    SYNTAX SEQUENCE OF IoPortStateEntry
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "IO Ports"
+    ::= { controllers 8 }
+
+ioPortStateEntry OBJECT-TYPE
+    SYNTAX IoPortStateEntry
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Description."
+    INDEX { accessPoint }
+    ::= { ioPortStateTable 1 }
+
+IoPortStateEntry ::=
+    SEQUENCE {
+        accessPoint
+            INTEGER,
+        function
+            INTEGER,
+        physicalPin
+            INTEGER,
+        portState
+            INTEGER,
+        direction
+            INTEGER
+    }
+
+accessPoint OBJECT-TYPE
+    SYNTAX INTEGER
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Access point"
+    ::= { ioPortStateEntry 1 }
+
+function OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        liTurnstilePanelA(1),
+        liTurnstilePanelB(2),
+        liTurnstilePanelL(3),
+        loTurnstileIndA(4),
+        loTurnstileIndB(5),
+        loTurnstileIndL(6),
+        liTurnstileDetA(7),
+        liTurnstileDetB(8),
+        loTurnstileCntlA(9),
+        loTurnstileCntlB(10),
+        loTurnstileCntlL(11),
+        liDoorDet(12),
+        liDoorRteA(13),
+        liDoorRteB(14),
+        liDoorRteX(15),
+        liDoorLock(16),
+        loDoorLock(17),
+        loDoorUnlock(18),
+        liGateDetA(19),
+        liGateDetB(20),
+        liGateDetC(21),
+        liGatePanelM(22),
+        liGatePanelS(23),
+        loOprAllowed(24),
+        loOprDeny(25),
+        liFire(26),
+        liOpd(27),
+        loBreakAlarm(28),
+        liRegDetA(29),
+        liRegDetB(30),
+        liTurnstileDetX(31),
+        loImpAllowA(32),
+        loImpAllowB(33),
+        loImpDenyA(34),
+        loImpDenyB(35),
+        liReqmngstateNormal(36),
+        liReqmngstateLock(37),
+        liReqmngstateUnlock(38),
+        loAlmNormal(39),
+        loAlmAlarm(40),
+        loDoorHoldAlarm(41),
+        liDcin(42),
+        loMngstateLock(43),
+        loAcceptA(44),
+        loAcceptB(45),
+        loRejectA(46),
+        loRejectB(47),
+        loMngstateUnlock(48),
+        loPowerMain(49),
+        loPowerStandby(50),
+        loTraflightA(51),
+        loTraflightB(52),
+        loCardinpocket(53),
+        loLedc(54),
+        loWaitingAlkoA(55),
+        loWaitingAlkoB(56),
+        liSurpressalko(57),
+        liHallsensor(58),
+        loWaitingEscortA(59),
+        loWaitingEscortB(60),
+        loGateOpen(61),
+        loGateClose(62),
+        loGateStop(63),
+        loGateOpen2(64),
+        loGateClose2(65),
+        liGateDd(66),
+        liGateDu(67),
+        liResetPeopleCnt(68),
+
+        liReaderOut(-1),
+        liReaderIn(-2),
+        liReaderUn(-3)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Function"
+    ::= { ioPortStateEntry 2 }
+
+physicalPin OBJECT-TYPE
+    SYNTAX INTEGER{
+        portDet1Pass1(0),
+        portDet2Pass2(1),
+        portDet3Rte1(2),
+        portDet4Rte2(3),
+        portDet5StopPass3(4),
+        portDet6Pass4(5),
+        portDet7Rte3(6),
+        portDet8Rte4(7),
+        portDet9Auxin1(8),
+        portDet10Auxin2(9),
+        portOpd(10),
+        portFire(11),
+        portDcd(12),
+        portK1(13),
+        portK2(14),
+        portK3(15),
+        portK4(16),
+        portOut1Auxout1(17),
+        portOut2Auxout2(18),
+        portOut3(19),
+        portOut4(20),
+        portOut5(21),
+        portL1ALed1(22),
+        portL1B(23),
+        portL2ALed2(24),
+        portL2B(25),
+        portL3A(26),
+        portL3B(27),
+        portL4A(28),
+        portL4B(29),
+        portCpi1(30),
+        portCpi2(31),
+        portCpi3(32),
+        portLedrx(33),
+        portLedtx(34),
+        portLedpwr(35),
+        portSnd(36),
+        portRst(37),
+        portBat(38),
+
+        port1(-1),
+        port2(-2),
+        port3(-3),
+        port4(-4)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "physicalPin"
+    ::= { ioPortStateEntry 3 }
+
+portState OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        Inactive(1),
+        Active(2)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "States"
+    ::= { ioPortStateEntry 4 }
+
+direction OBJECT-TYPE
+    SYNTAX INTEGER {
+        Unknown(0),
+        Input(1),
+        Output(2)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Pin direction"
+    ::= { ioPortStateEntry 5 }
+
+activeState OBJECT-TYPE
+    SYNTAX INTEGER {
+        Normal(0),
+        Inverted(1)
+    }
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Active state"
+    ::= { ioPortStateEntry 6 }
+
+------------------------------------------------------------------------------------------------------
+
+temperature OBJECT-TYPE
+    SYNTAX INTEGER
+    MAX-ACCESS read-only
+    STATUS current
+    DESCRIPTION
+        "Internal temperature"
+    ::= { controllers 9 }
+
+END
Index: includes/definitions/os/sigur.inc.php
===================================================================
--- includes/definitions/os/sigur.inc.php	(nonexistent)
+++ includes/definitions/os/sigur.inc.php	(working copy)
@@ -0,0 +1,16 @@
+<?php
+
+// SIGUR (sigur.com)
+
+$os = "sigur-controller";
+$config['os'][$os]['text']                  = "SIGUR Controller";
+$config['os'][$os]['vendor']                = "SIGUR";
+$config['os'][$os]['type']                  = "environment";
+//$config['os'][$os]['ports_separate_walk']   = 1; // Force use separate ports polling feature
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.56627";
+//SNR-S3750G-48S-E Device, Compiled Oct 26 10:19:23 2015 SoftWare Version 7.0.3.1(R0244.0079) BootRom Version 7.1.107 HardWare Version 1.0.2 Device serial number SW032810D610000084 Copyright (C) 2015 NAG LLC All rights reserved
+//$config['os'][$os]['sysDescr_regex'][]      = "/SNR-(?<hardware>\S+).*?,\s.*SoftWare Version (?<version>\d[\w\.\-]+).*\s+(?:Serial No\.:|serial number)\s*(?<serial>\S+)/s";
+$config['os'][$os]['sysDescr_regex'][]      = "/SIGUR/s";
+$config['os'][$os]['mibs'][]                = "SIGUR-MIB";
+
+// EOF
Index: includes/definitions/vendors.inc.php
===================================================================
--- includes/definitions/vendors.inc.php	(revision 12388)
+++ includes/definitions/vendors.inc.php	(working copy)
@@ -461,6 +461,11 @@
 $config['vendors'][$vendor]['wiki_url']   = 'https://wikipedia.org/wiki/Schneider_Electric';
 $config['vendors'][$vendor]['icon']       = 'schneider_electric';
 
+$vendor = 'sigur';
+$config['vendors'][$vendor]['name']       = 'SIGUR';
+$config['vendors'][$vendor]['site_url']   = 'https://sigur.com/';
+$config['vendors'][$vendor]['icon']       = 'sigur';
+
 $vendor = 'snr';
 $config['vendors'][$vendor]['name']       = 'SNR';
 $config['vendors'][$vendor]['site_url']   = 'https://shop.nag.ru/';
Index: includes/definitions/mibs/sigur.inc.php
===================================================================
--- includes/definitions/mibs/sigur.inc.php	(nonexistent)
+++ includes/definitions/mibs/sigur.inc.php	(working copy)
@@ -0,0 +1,171 @@
+<?php
+
+$mib = 'SIGUR-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+//$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.56627';
+$config['mibs'][$mib]['mib_dir'] = 'sigur';
+$config['mibs'][$mib]['descr'] = 'SIGUR MIB';
+
+//SIGUR-MIB::serialNumber.0 = Hex-STRING: 31 35 30 61 38 ** ** ** 00 
+$config['mibs'][$mib]['serial'][]  = [ 'oid' => 'serialNumber.0'];
+
+//SIGUR-MIB::voltage.0 = INTEGER: 1202
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'            => 'voltage',
+  'class'          => 'voltage',
+  'descr'          => 'Power voltage',
+  'oid_num'        => '.1.3.6.1.4.1.56627.1.3',
+  'measured'       => 'device',
+  'scale'          => 0.01,
+];
+
+//SIGUR-MIB::temperature.0 = INTEGER: 41
+$config['mibs'][$mib]['sensor'][] = [
+  'oid'            => 'temperature',
+  'class'          => 'temperature',
+  'descr'          => 'Temperature internal',
+  'oid_num'        => '.1.3.6.1.4.1.56627.1.9',
+  'measured'       => 'device',
+//  'scale'          => 0.01,
+];
+
+
+//SIGUR-MIB::fireAlarmState.0 = INTEGER: Unknown(0)
+$type = 'sigurfireAlarmState';
+$config['mibs'][$mib]['states'][$type][0] = [ 'name' => 'Unknown', 'event' => 'ignore' ];
+$config['mibs'][$mib]['states'][$type][1] = [ 'name' => 'Fire',    'event' => 'alert' ];
+$config['mibs'][$mib]['states'][$type][2] = [ 'name' => 'NotFire', 'event' => 'ok' ];
+$config['mibs'][$mib]['status'][] = [
+  'oid'              => 'fireAlarmState',
+  'descr'            => 'Fire alarm',
+  'type'             => 'sigurfireAlarmState',
+  'measured'         => 'other',
+  'oid_num'          => '.1.3.6.1.4.1.56627.1.4'
+];
+
+//SIGUR-MIB::batteryOperation.0 = INTEGER: Unknown(0)
+$type = 'sigurbatteryOperation';
+$config['mibs'][$mib]['states'][$type][0] = [ 'name' => 'Unknown',        'event' => 'ignore' ];
+$config['mibs'][$mib]['states'][$type][1] = [ 'name' => 'Charging',       'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][2] = [ 'name' => 'EmergencyPower', 'event' => 'alert' ];
+$config['mibs'][$mib]['status'][] = [
+  'oid'              => 'batteryOperation',
+  'descr'            => 'Battery operation',
+  'type'             => 'sigurbatteryOperation',
+  'measured'         => 'other',
+  'oid_num'          => '.1.3.6.1.4.1.56627.1.6'
+];
+
+//SIGUR-MIB::tamperState.0 = INTEGER: Unknown(0)
+$type = 'sigurtamperState';
+$config['mibs'][$mib]['states'][$type][0] = [ 'name' => 'Unknown', 'event' => 'ignore' ];
+$config['mibs'][$mib]['states'][$type][1] = [ 'name' => 'Normal',  'event' => 'ok' ];
+$config['mibs'][$mib]['states'][$type][2] = [ 'name' => 'BreakIn', 'event' => 'alert' ];
+$config['mibs'][$mib]['status'][] = [
+  'oid'              => 'tamperState',
+  'descr'            => 'Tamper state',
+  'type'             => 'sigurtamperState',
+  'measured'         => 'other',
+  'oid_num'          => '.1.3.6.1.4.1.56627.1.7'
+];
+
+/*
+SIGUR-MIB::accessPoint.1 = INTEGER: 0
+SIGUR-MIB::accessPoint.2 = INTEGER: 0
+SIGUR-MIB::accessPoint.3 = INTEGER: 0
+SIGUR-MIB::accessPoint.4 = INTEGER: 0
+SIGUR-MIB::accessPoint.5 = INTEGER: 0
+SIGUR-MIB::accessPoint.6 = INTEGER: 0
+SIGUR-MIB::accessPoint.7 = INTEGER: 0
+SIGUR-MIB::accessPoint.8 = INTEGER: 0
+SIGUR-MIB::accessPoint.9 = INTEGER: 1
+SIGUR-MIB::accessPoint.10 = INTEGER: 1
+SIGUR-MIB::accessPoint.11 = INTEGER: 1
+SIGUR-MIB::accessPoint.12 = INTEGER: 1
+SIGUR-MIB::accessPoint.13 = INTEGER: 1
+SIGUR-MIB::accessPoint.14 = INTEGER: 1
+SIGUR-MIB::accessPoint.15 = INTEGER: 1
+SIGUR-MIB::accessPoint.16 = INTEGER: 1
+SIGUR-MIB::function.1 = INTEGER: liReaderIn(-2)
+SIGUR-MIB::function.2 = INTEGER: liDoorDet(12)
+SIGUR-MIB::function.3 = INTEGER: liDoorRteA(13)
+SIGUR-MIB::function.4 = INTEGER: liDoorRteB(14)
+SIGUR-MIB::function.5 = INTEGER: liDoorRteX(15)
+SIGUR-MIB::function.6 = INTEGER: liDoorLock(16)
+SIGUR-MIB::function.7 = INTEGER: loDoorLock(17)
+SIGUR-MIB::function.8 = INTEGER: loDoorUnlock(18)
+SIGUR-MIB::function.9 = INTEGER: liReaderIn(-2)
+SIGUR-MIB::function.10 = INTEGER: liDoorDet(12)
+SIGUR-MIB::function.11 = INTEGER: liDoorRteA(13)
+SIGUR-MIB::function.12 = INTEGER: liDoorRteB(14)
+SIGUR-MIB::function.13 = INTEGER: liDoorRteX(15)
+SIGUR-MIB::function.14 = INTEGER: liDoorLock(16)
+SIGUR-MIB::function.15 = INTEGER: loDoorLock(17)
+SIGUR-MIB::function.16 = INTEGER: loDoorUnlock(18)
+SIGUR-MIB::physicalPin.1 = INTEGER: port1(-1)
+SIGUR-MIB::physicalPin.2 = INTEGER: portDet1Pass1(0)
+SIGUR-MIB::physicalPin.3 = INTEGER: portDet4Rte2(3)
+SIGUR-MIB::physicalPin.4 = INTEGER: portDet3Rte1(2)
+SIGUR-MIB::physicalPin.5 = INTEGER: portDet9Auxin1(8)
+SIGUR-MIB::physicalPin.6 = INTEGER: portDet5StopPass3(4)
+SIGUR-MIB::physicalPin.7 = INTEGER: portK1(13)
+SIGUR-MIB::physicalPin.8 = INTEGER: portK2(14)
+SIGUR-MIB::physicalPin.9 = INTEGER: port3(-3)
+SIGUR-MIB::physicalPin.10 = INTEGER: portDet2Pass2(1)
+SIGUR-MIB::physicalPin.11 = INTEGER: portDet7Rte3(6)
+SIGUR-MIB::physicalPin.12 = INTEGER: portDet6Pass4(5)
+SIGUR-MIB::physicalPin.13 = INTEGER: portDet10Auxin2(9)
+SIGUR-MIB::physicalPin.14 = INTEGER: portDet8Rte4(7)
+SIGUR-MIB::physicalPin.15 = INTEGER: portK3(15)
+SIGUR-MIB::physicalPin.16 = INTEGER: portK4(16)
+SIGUR-MIB::portState.1 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.2 = INTEGER: Active(2)
+SIGUR-MIB::portState.3 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.4 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.5 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.6 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.7 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.8 = INTEGER: Active(2)
+SIGUR-MIB::portState.9 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.10 = INTEGER: Active(2)
+SIGUR-MIB::portState.11 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.12 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.13 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.14 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.15 = INTEGER: Inactive(1)
+SIGUR-MIB::portState.16 = INTEGER: Active(2)
+SIGUR-MIB::direction.1 = INTEGER: Input(1)
+SIGUR-MIB::direction.2 = INTEGER: Input(1)
+SIGUR-MIB::direction.3 = INTEGER: Input(1)
+SIGUR-MIB::direction.4 = INTEGER: Input(1)
+SIGUR-MIB::direction.5 = INTEGER: Input(1)
+SIGUR-MIB::direction.6 = INTEGER: Input(1)
+SIGUR-MIB::direction.7 = INTEGER: Output(2)
+SIGUR-MIB::direction.8 = INTEGER: Output(2)
+SIGUR-MIB::direction.9 = INTEGER: Input(1)
+SIGUR-MIB::direction.10 = INTEGER: Input(1)
+SIGUR-MIB::direction.11 = INTEGER: Input(1)
+SIGUR-MIB::direction.12 = INTEGER: Input(1)
+SIGUR-MIB::direction.13 = INTEGER: Input(1)
+SIGUR-MIB::direction.14 = INTEGER: Input(1)
+SIGUR-MIB::direction.15 = INTEGER: Output(2)
+SIGUR-MIB::direction.16 = INTEGER: Output(2)
+SIGUR-MIB::activeState.1 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.2 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.3 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.4 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.5 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.6 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.7 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.8 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.9 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.10 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.11 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.12 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.13 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.14 = INTEGER: Inverted(1)
+SIGUR-MIB::activeState.15 = INTEGER: Normal(0)
+SIGUR-MIB::activeState.16 = INTEGER: Normal(0)
+*/
+
+// EOF