Index: includes/definitions/mibs/d-link.inc.php
===================================================================
--- includes/definitions/mibs/d-link.inc.php	(revision 12388)
+++ includes/definitions/mibs/d-link.inc.php	(working copy)
@@ -395,6 +395,43 @@
   // 128*1024*1024 - From CLI: Free RAM/Total RAM (Mbytes):      269/495
 ];
 
+$mib = 'DES-1210-28ME-B3';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.10.75.15.3';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'D-Link DES-1210 28ME MIB';
+
+//DES-1210-28ME-B3::sysFirmwareVersion.0 = STRING: 10.05.B030
+$config['mibs'][$mib]['version'][] = [ 'oid' => 'sysFirmwareVersion.0' ];
+
+//DES-1210-28ME-B3::sysSerialNumber.0 = STRING: QBM53J9000552
+$config['mibs'][$mib]['serial'][] = ['oid' => 'sysSerialNumber.0'];
+
+// DES-1210-28ME-B3::agentCPUutilizationIn5sec.0 = INTEGER: 99
+// DES-1210-28ME-B3::agentCPUutilizationIn1min.0 = INTEGER: 31
+// DES-1210-28ME-B3::agentCPUutilizationIn5min.0 = INTEGER: 18
+
+$config['mibs'][$mib]['processor']['agentCPUutilizationIn5min'] = [
+   'type'    => 'static',
+   'idle'    => FALSE,
+   'descr'   => 'Processor',
+   'oid'     => 'agentCPUutilizationIn5min.0',
+   'oid_num' => '.1.3.6.1.4.1.171.10.75.15.3.100.1.3.0'
+];
+
+// DES-1210-28ME-B3::agentMEMutilizationIn5sec.0 = INTEGER: 54
+// DES-1210-28ME-B3::agentMEMutilizationIn1min.0 = INTEGER: 54
+// DES-1210-28ME-B3::agentMEMutilizationIn5min.0 = INTEGER: 54
+$config['mibs'][$mib]['mempool']['agentMEMutilizationIn5min'] = [
+  'type'         => 'static',
+  'descr'        => 'RAM',
+  'scale'        => 1,
+  'oid_perc'     => 'agentMEMutilizationIn5min.0',
+  'oid_perc_num' => '.1.3.6.1.4.1.171.10.75.15.3.100.2.3.0',
+  'total'        => 134217728
+];
+
+
 $mib = 'DLINKSW-ENTITY-EXT-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 $config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.14.5';
@@ -710,6 +747,12 @@
 ];
 
 /* Used for inventory purpose of SysORTable on D-link switches
+$mib = 'LOOPBACK-DETECT-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.171.12.41';
+$config['mibs'][$mib]['mib_dir'] = 'd-link';
+$config['mibs'][$mib]['descr'] = 'The structure of loopback detection management for the proprietary enterprise.';
+
 $mib = 'DLINK-ID-REC-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 $config['mibs'][$mib]['mib_dir'] = 'd-link';
Index: includes/definitions/os/d-link.inc.php
===================================================================
--- includes/definitions/os/d-link.inc.php	(revision 12388)
+++ includes/definitions/os/d-link.inc.php	(working copy)
@@ -176,8 +176,8 @@
   '.1.3.6.1.4.1.171.10.69.3'    => array('name' => 'DES-3828P'),
   '.1.3.6.1.4.1.171.10.69.4'    => array('name' => 'DES-3852'),
   '.1.3.6.1.4.1.171.10.69.5'    => array('name' => 'DES-3852P'),
-  '.1.3.6.1.4.1.171.10.70.6'    => array('name' => 'DGS-3627'),
-  '.1.3.6.1.4.1.171.10.70.8'    => array('name' => 'DGS-3627G'),
+  '.1.3.6.1.4.1.171.10.70.6'    => array('name' => 'DGS-3627',          'mibs' => array('OSPF-MIB')),
+  '.1.3.6.1.4.1.171.10.70.8'    => array('name' => 'DGS-3627G',         'mibs' => array('OSPF-MIB')),
   '.1.3.6.1.4.1.171.10.70.9'    => array('name' => 'DGS-3612G'),
   '.1.3.6.1.4.1.171.10.72.1'    => array('name' => 'DHS-3626'),
   '.1.3.6.1.4.1.171.10.73.2'    => array('name' => 'DWS-3024'),
@@ -194,7 +194,7 @@
   '.1.3.6.1.4.1.171.10.75.14'   => array('name' => 'DES-1210-10',       'mibs' => array('DES-1210-10MEbx', 'DES-1210-10_AXME')),
   '.1.3.6.1.4.1.171.10.75.15'   => array('name' => 'DES-1210-28'),
   '.1.3.6.1.4.1.171.10.75.15.2' => array('name' => 'DES-1210-28/ME',    'mibs' => array('DES-1210-28_AXME', 'DES-1210-28MEbx', 'DES-1210-28ME-B2')),
-  '.1.3.6.1.4.1.171.10.75.15.3' => array('name' => 'DES-1210-28/ME'), //rev B3
+  '.1.3.6.1.4.1.171.10.75.15.3' => array('name' => 'DES-1210-28/ME',    'mibs' => array('DES-1210-28ME-B3')), //rev B3
   '.1.3.6.1.4.1.171.10.75.16.1' => array('name' => 'DES-1210-26/ME',    'mibs' => array('DES-1210-26MEbx')),
 
   '.1.3.6.1.4.1.171.10.76.5'    => array('name' => 'DGS-1224T'),
@@ -249,15 +249,15 @@
   '.1.3.6.1.4.1.171.10.117.1.6' => array('name' => 'DGS-3120-24SC-DC'),
   '.1.3.6.1.4.1.171.10.117.2.1' => array('name' => 'DGS-3120-24TC-BX'),
   '.1.3.6.1.4.1.171.10.117.3.1' => array('name' => 'DGS-3120-24PC-BX'),
-  '.1.3.6.1.4.1.171.10.117.4.1' => array('name' => 'DGS-3120-24SC-BX'),
+  '.1.3.6.1.4.1.171.10.117.4.1' => array('name' => 'DGS-3120-24SC-BX',    'mibs' => array('DGS3120-24SC-L2MGMT-MIB', 'OSPF-MIB')),
   '.1.3.6.1.4.1.171.10.117.5.1' => array('name' => 'DGS-3120-48TC-BX'),
   '.1.3.6.1.4.1.171.10.117.6.1' => array('name' => 'DGS-3120-48PC-BX'),
   '.1.3.6.1.4.1.171.10.117.7.1' => array('name' => 'DGS-3120-24SC-DC-BX'),
   '.1.3.6.1.4.1.171.10.118.1'   => array('name' => 'DGS-3620-28TC'),
-  '.1.3.6.1.4.1.171.10.118.2'   => array('name' => 'DGS-3620-28SC',       'mibs' => array('DGS-3620-28SC-L2MGMT-MIB')),
+  '.1.3.6.1.4.1.171.10.118.2'   => array('name' => 'DGS-3620-28SC',       'mibs' => array('DGS-3620-28SC-L2MGMT-MIB', 'OSPF-MIB')),
   '.1.3.6.1.4.1.171.10.119.1'   => array('name' => 'DGS-3420-28TC'),
-  '.1.3.6.1.4.1.171.10.119.2'   => array('name' => 'DGS-3420-28SC',       'mibs' => array('DGS-3420-28SC-L2MGMT-MIB', 'DGS-3420-28SC-L3MGMT-MIB')),
-  '.1.3.6.1.4.1.171.10.119.6'   => array('name' => 'DGS-3420-26SC',       'mibs' => array('DGS-3420-26SC-L2MGMT-MIB', 'DGS-3420-26SC-L3MGMT-MIB')),
+  '.1.3.6.1.4.1.171.10.119.2'   => array('name' => 'DGS-3420-28SC',       'mibs' => array('DGS-3420-28SC-L2MGMT-MIB', 'DGS-3420-28SC-L3MGMT-MIB', 'OSPF-MIB')),
+  '.1.3.6.1.4.1.171.10.119.6'   => array('name' => 'DGS-3420-26SC',       'mibs' => array('DGS-3420-26SC-L2MGMT-MIB', 'DGS-3420-26SC-L3MGMT-MIB', 'OSPF-MIB')),
   '.1.3.6.1.4.1.171.10.126.1'   => array('name' => 'DGS-1500-20'),
   '.1.3.6.1.4.1.171.10.126.2.1' => array('name' => 'DGS-1500-28'),
   '.1.3.6.1.4.1.171.10.127.1'   => array('name' => 'DXS-3600-32S'),