Index: includes/definitions/mibs/raysharp.inc.php
===================================================================
--- includes/definitions/mibs/raysharp.inc.php	(nonexistent)
+++ includes/definitions/mibs/raysharp.inc.php	(working copy)
@@ -0,0 +1,113 @@
+<?php
+$mib = 'RS-IPC-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'raysharp';
+$config['mibs'][$mib]['descr'] = '';
+
+/*
+RS-IPC-MIB::infoEpi.0 = STRING: "RaySharp Technology Co., Ltd."
+//sysInfoObjects
+RS-IPC-MIB::infoDevID.0 = STRING: "000000"
+RS-IPC-MIB::infoDevName.0 = STRING: "IPr-DvpF 3Mp Starvis"
+RS-IPC-MIB::infoDevType.0 = STRING: "IPr-DvpF 3Mp Starvis"
+RS-IPC-MIB::infoHardwareVer.0 = STRING: "RS-CM-127C"
+RS-IPC-MIB::infoSoftwareVer.0 = STRING: "V2.31.5.0_200326"
+RS-IPC-MIB::infoIEClientVer.0 = STRING: "V1.1.0.599_191030"
+RS-IPC-MIB::infoMacAddress.0 = STRING: "00-23-63-83-D7-56"
+RS-IPC-MIB::infoMaxCHN.0 = INTEGER: 1
+//genSySTimeObjects
+RS-IPC-MIB::sysDateFormat.0 = INTEGER: 2
+RS-IPC-MIB::sysTimeFormat.0 = INTEGER: 0
+RS-IPC-MIB::sysTimeYear.0 = INTEGER: 2023
+RS-IPC-MIB::sysTimeMonth.0 = INTEGER: 3
+RS-IPC-MIB::sysTimeDay.0 = INTEGER: 25
+RS-IPC-MIB::sysTimeHour.0 = INTEGER: 21
+RS-IPC-MIB::sysTimeMinute.0 = INTEGER: 14
+RS-IPC-MIB::sysTimeSecond.0 = INTEGER: 16
+//liveConfigObjects
+RS-IPC-MIB::ipcName.0 = STRING: "LongHall"
+RS-IPC-MIB::flickerCtrl.0 = STRING: "50Hz"
+RS-IPC-MIB::osdTransparency.0 = INTEGER: 64
+RS-IPC-MIB::osdShowName.0 = STRING: "Hide"
+RS-IPC-MIB::osdShowTime.0 = STRING: "Hide"
+//devHDDObjects
+RS-IPC-MIB::hddStatus.0 = STRING: "None"
+RS-IPC-MIB::hddTotalSize.0 = STRING: "0 MB"
+RS-IPC-MIB::hddFreeSize.0 = STRING: "0 MB"
+RS-IPC-MIB::hddFreeTime.0 = STRING: "0 Min"
+RS-IPC-MIB::hddOverWrite.0 = INTEGER: 0
+RS-IPC-MIB::hddOWPeriod.0 = INTEGER: 0
+RS-IPC-MIB::hddRedundancy.0 = ""
+RS-IPC-MIB::hddMaxNum.0 = INTEGER: 0
+//netConfigObjects
+RS-IPC-MIB::networkMode.0 = STRING: "Static"
+RS-IPC-MIB::netClientPort.0 = INTEGER: 9988
+RS-IPC-MIB::netHttpPort.0 = INTEGER: 80
+RS-IPC-MIB::netIPaddr.0 = STRING: "192.168.100.194"
+RS-IPC-MIB::netSubMask.0 = STRING: "255.255.255.0"
+RS-IPC-MIB::netGateWay.0 = STRING: "192.168.100.1"
+RS-IPC-MIB::netDNS1.0 = STRING: "192.168.100.1"
+RS-IPC-MIB::netDNS2.0 = STRING: "8.8.8.8"
+RS-IPC-MIB::netPPPoEUserName.0 = ""
+RS-IPC-MIB::netPPPoEPasswd.0 = ""
+//videoStreamObjects
+RS-IPC-MIB::mainReslution.0 = STRING: "2048 x 1536"
+RS-IPC-MIB::mainFps.0 = STRING: "25 fps"
+RS-IPC-MIB::mainCodeType.0 = STRING: "H.265"
+RS-IPC-MIB::mainCodeLevel.0 = STRING: "Main Profile"
+RS-IPC-MIB::mainBitrateCtrl.0 = STRING: "VBR"
+RS-IPC-MIB::mainBitrateMode.0 = STRING: "User-defined"
+RS-IPC-MIB::mainBitrate.0 = STRING: "22 kbps"
+RS-IPC-MIB::mainIFI.0 = STRING: "50 Ipf"
+RS-IPC-MIB::mainAudio.0 = STRING: "Off"
+RS-IPC-MIB::subReslution.0 = STRING: "1280 x 720"
+RS-IPC-MIB::subFps.0 = STRING: "25 fps"
+RS-IPC-MIB::subCodeType.0 = STRING: "H.265"
+RS-IPC-MIB::subCodeLevel.0 = STRING: "Main Profile"
+RS-IPC-MIB::subBitrateCtrl.0 = STRING: "VBR"
+RS-IPC-MIB::subBitrateMode.0 = STRING: "Predefined"
+RS-IPC-MIB::subBitrate.0 = STRING: "18 kbps"
+RS-IPC-MIB::subIFI.0 = STRING: "20 Ipf"
+RS-IPC-MIB::subAudio.0 = STRING: "Off"
+RS-IPC-MIB::mobileReslution.0 = STRING: "640 x 480"
+RS-IPC-MIB::mobileFps.0 = STRING: "10 fps"
+RS-IPC-MIB::mobileCodeType.0 = STRING: "H.264"
+RS-IPC-MIB::mobileCodeLevel.0 = STRING: "Main Profile"
+RS-IPC-MIB::mobileBitrateCtrl.0 = STRING: "CBR"
+RS-IPC-MIB::mobileBitrateMode.0 = STRING: "Predefined"
+RS-IPC-MIB::mobileBitrate.0 = STRING: "16 kbps"
+RS-IPC-MIB::mobileIFI.0 = STRING: "20 Ipf"
+RS-IPC-MIB::mobileAudio.0 = STRING: "Off"
+RS-IPC-MIB::mobileEnable.0 = STRING: "Enable"
+//netRTSPObjects
+RS-IPC-MIB::rtspEnable.0 = INTEGER: 1
+RS-IPC-MIB::rtspPort.0 = INTEGER: 554
+RS-IPC-MIB::rtspAnonymous.0 = INTEGER: 0
+*/
+$config['mibs'][$mib]['version'][] = [ 'oid' => 'infoSoftwareVer.0' ];
+$config['mibs'][$mib]['hardware'][] = [ 'oid' => 'infoHardwareVer.0' ];
+$config['mibs'][$mib]['sysname'][] = [ 'oid' => 'ipcName.0', 'force' => TRUE ]; // Forced override, since device already have system (incorrect) sysName
+$config['mibs'][$mib]['features'][] = [ 'oid' => 'infoIEClientVer.0' ];
+
+$config['mibs'][$mib]['ip-address'][] = [
+  'ifIndex'       => '%index%', // there is not real ifIndex, just 0
+  'version'       => 'ipv4',
+  'oid_origin'    => 'networkMode',
+  'oid_address'   => 'netIPaddr',
+  'oid_mask'      => 'netSubMask',
+];
+
+$config['mibs'][$mib]['status'][] = [ 'oid' => 'hddStatus', 'descr' => 'HDD status', 'measured' => '', 'type' => 'HDDStatus', 'oid_num' => '.1.3.6.1.4.1.51159.3.1.1' ];
+
+$type = 'HDDStatus';
+$config['mibs'][$mib]['states'][$type][1]  = [ 'name' => 'None',   'event' => 'ignore' ];
+//$config['mibs'][$mib]['states'][$type][2]  = [ 'name' => 'off',    'event' => 'ok' ];
+$config['mibs'][$mib]['states'][$type][3]  = [ 'name' => 'Full',  'event' => 'warning' ];
+
+$config['mibs'][$mib]['storage']['devHDDObjects'] = [
+  'descr'      => 'storage ',
+  'oid_total'  => 'hddTotalSize',
+  'oid_free'   => 'hddFreeSize',
+];
+
+// EOF
Index: includes/definitions/os/raysharp.inc.php
===================================================================
--- includes/definitions/os/raysharp.inc.php	(nonexistent)
+++ includes/definitions/os/raysharp.inc.php	(working copy)
@@ -0,0 +1,13 @@
+<?php
+
+// SIGUR (sigur.com)
+
+$os = "raysharp-cam";
+$config['os'][$os]['text']                  = "Raysharp Camera";
+$config['os'][$os]['vendor']                = "raysharp";
+$config['os'][$os]['type']                  = "video";
+//$config['os'][$os]['ports_separate_walk']   = 1; // Force use separate ports polling feature
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.4.1.51159.0";
+$config['os'][$os]['mibs'][]                = "RS-IPC-MIB";
+
+// EOF
Index: includes/definitions/vendors.inc.php
===================================================================
--- includes/definitions/vendors.inc.php	(revision 12510)
+++ includes/definitions/vendors.inc.php	(working copy)
@@ -441,6 +441,11 @@
 $config['vendors'][$vendor]['icon']       = 'qtech';
 
 ///R
+$vendor = 'raysharp';
+$config['vendors'][$vendor]['name']       = 'Raysharp';
+$config['vendors'][$vendor]['site_url']   = 'https://www.raysharp.cn/';
+$config['vendors'][$vendor]['icon']       = 'raysharp';
+
 $vendor = 'riello';
 $config['vendors'][$vendor]['name']       = 'Riello';
 $config['vendors'][$vendor]['site_url']   = 'https://www.riello-ups.com/';