Index: includes/definitions/mibs/vertiv.inc.php
===================================================================
--- includes/definitions/mibs/vertiv.inc.php	(revision 13767)
+++ includes/definitions/mibs/vertiv.inc.php	(working copy)
@@ -483,3 +483,129 @@
 // PM-MIB::pmPowerMgmtOutletsTableEnergyReset.1.1.13 = INTEGER: noAction(1)
 
 // EOF
+//
+
+
+$mib = 'NETSURE-NCU-MIB';
+
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'vertiv';
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.6302';
+$config['mibs'][$mib]['descr'] = 'Vertiv Netsure.';
+
+$config['mibs'][$mib]['serial'][]   = [ 'oid' => 'identControllerSerialNumber.0' ];
+$config['mibs'][$mib]['version'][]  = [ 'oid' => 'identControllerFirmwareVersion.0' ];
+
+$config['mibs'][$mib]['status'][] = [
+    'table'               => 'psRectifierTable',
+    'oid'                 => 'psRectifierFail',
+    'descr'               => '%psRectifierIdent% alarm',
+    'measured'            => 'device',
+    'type'                => 'psRectifierAlarm',
+];
+
+$type = 'psRectifierAlarm';
+$config['mibs'][$mib]['states'][$type][1]  = [ 'name' => 'activated',        'event' => 'critical' ];
+$config['mibs'][$mib]['states'][$type][2]  = [ 'name' => 'deactivated',      'event' => 'ok' ];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'table'               => 'psRectifierTable',
+    'oid'                 => 'psRectifierCurrent',
+    'descr'               => '%psRectifierIdent% current',
+    'class'               => 'current',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['status'][] = [
+    'descr'           => 'System Status',
+    'oid'             => 'systemStatus',
+    'measured'        => 'device',
+    'type'            => 'psSystemStatus',
+];
+
+$type = 'psSystemStatus';
+$config['mibs'][$mib]['states'][$type][1]  = [ 'name' => 'unknown',     'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][2]  = [ 'name' => 'normal',      'event' => 'ok' ];
+$config['mibs'][$mib]['states'][$type][3]  = [ 'name' => 'warning',     'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][4]  = [ 'name' => 'minor',       'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][5]  = [ 'name' => 'major',       'event' => 'critical' ];
+$config['mibs'][$mib]['states'][$type][6]  = [ 'name' => 'critical',    'event' => 'critical' ];
+$config['mibs'][$mib]['states'][$type][7]  = [ 'name' => 'unmanaged',   'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][8]  = [ 'name' => 'restricted',  'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][9]  = [ 'name' => 'testing',     'event' => 'warning' ];
+$config['mibs'][$mib]['states'][$type][10] = [ 'name' => 'disabled',    'event' => 'critical' ];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'systemVoltage',
+    'descr'               => 'DC voltage',
+    'class'               => 'voltage',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'systemCurrent',
+    'descr'               => 'DC current',
+    'class'               => 'current',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputLineAVoltage',
+    'descr'               => 'AC voltage phase 1',
+    'class'               => 'voltage',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputLineBVoltage',
+    'descr'               => 'AC voltage phase 2',
+    'class'               => 'voltage',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputLineCVoltage',
+    'descr'               => 'AC voltage phase 3',
+    'class'               => 'voltage',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputPhaseACurrent',
+    'descr'               => 'AC current phase 1',
+    'class'               => 'current',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputPhaseBCurrent',
+    'descr'               => 'AC current phase 2',
+    'class'               => 'current',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+    'oid'                 => 'psInputPhaseCCurrent',
+    'descr'               => 'AC current phase 3',
+    'class'               => 'current',
+    'scale'               => 0.001,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'class'               => 'load',
+  'descr'               => 'Rectifier capacity used',
+  'oid'                 => 'rectifiersUsedCapacity',
+  'limit_high_warn'     => 75,
+  'limit_high'          => 90,
+];
+
+$config['mibs'][$mib]['sensor'][] = [
+  'class'               => 'load',
+  'descr'               => 'System capacity used',
+  'oid'                 => 'systemUsedCapacity',
+  'limit_high_warn'     => 75,
+  'limit_high'          => 90,
+];
+
+// EOF
+
Index: includes/definitions/os/vertiv.inc.php
===================================================================
--- includes/definitions/os/vertiv.inc.php	(revision 13767)
+++ includes/definitions/os/vertiv.inc.php	(working copy)
@@ -222,4 +222,15 @@
     '.1.3.6.1.4.1.10418.26.1.7'           => [ 'name' => 'ACS802',                    'mibs' => [ 'ACS8000-MIB' ] ],
 ];
 
+// Vertiv Netsure DC power system, M830B controller
+
+$os = "vertiv-netsure";
+$config['os'][$os]['text']                  = "Vertiv Netsure";
+$config['os'][$os]['type']                  = "power";
+$config['os'][$os]['vendor']                = "Vertiv";
+$config['os'][$os]['icon']                  = "vertiv-netsure";
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.8072.3.2.10";
+$config['os'][$os]['sysDescr'][]            = "/ES_Controller/";
+$config['os'][$os]['mibs'][]                = "NETSURE-NCU-MIB";
+
 // EOF